package org.rcisoft.business.overview.dao;

import org.rcisoft.business.overview.entity.EnergyEmissionPlan;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2018-4-14 17:41:53.
*/
@Repository
public interface EnergyEmissionPlanRepository extends BaseMapper<EnergyEmissionPlan> {

    /**
     * 根据月、日查询当天的预计碳排放量
     * @param energyEmissionPlan proId：项目主键 mon：月 day：日
     * @return
     */
    @Select("<script>select * from energy_emission_plan where PRO_ID=#{proId} and MON=#{mon} and `DAY`=#{day}</script>")
    @ResultMap(value = "BaseResultMap")
    List<EnergyEmissionPlan> queryEnergyEmissionPlans(EnergyEmissionPlan energyEmissionPlan);
}

