package org.rcisoft.business.overview.task;

import org.rcisoft.business.overview.service.OverViewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * Created by JiChao on 2018/4/13.
 * 概览中的定时任务
 */
@Component
public class OverViewTask {

    @Autowired
    private OverViewService overViewServiceImpl;

    /**
     * 每个月的1号0点30分执行
     * 用能比较--计算上一个月 单位面积用量（水电气），更新结果至bus_project_area_stat表
     */
    @Scheduled(cron = "0 30 0 1 * ?")
//    @Scheduled(cron = "0/5 * * * * ?")
    public void busProjectAreaStat(){
        overViewServiceImpl.statEnergyMonthly();
    }

    /**
     * 每天0点10分执行
     * 统计每天排放量，更新累计排放量
     */
    @Scheduled(cron = "0 10 0 * * ?")
//    @Scheduled(cron = "0/10 * * * * ?")
    public void emission() {
        overViewServiceImpl.statEmission();
    }

}
